Announcements
Due to scheduled maintenance, the Autodesk Community will be inaccessible from 10:00PM PDT on Oct 16th for approximately 1 hour. We appreciate your patience during this time.
Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Save and replace parts in an assembly using iLogic

29 REPLIES 29
SOLVED
Reply
Message 1 of 30
gcooper79
6545 Views, 29 Replies

Save and replace parts in an assembly using iLogic

Hi,

 

I posted this in the wrong forum yesterday so reposting here hoping someone can help.

 

I've just started experimenting with ilogic and I would like to understand how to perform the following task.

 

I have a master assembly called PS07-01 and multiple parts in the assembly called PS07-01-01, PS07-01-02 etc..

 

I would like to save a version of the assembly as a different name e.g. PS07-02 and when I do, the associated parts would also save with a new name PS07-02-01, PS07-02-02 etc..

 

I have looked through the forum and the closest code I could find was the one below by @CurtisWaguespack .  However, this code only worked if I selected the parts, I would rather it was automated.

 

Any help would be gratefully appreciated.

 

Graeme

 

On Error Resume Next
oSelect = ThisDoc.Document.SelectSet.Item(1)

'catch an empty string in the imput
If Err.Number <> 0 Then
MessageBox.Show("Please select a component before running this rule.", "iLogic")
Return
End If

' get a component by name.
Dim compOcc = Component.InventorComponent(oSelect.name) 


'define document
oDoc = compOcc.Definition.Document
'create a file dialog box
Dim oFileDlg As Inventor.FileDialog = Nothing
InventorVb.Application.CreateFileDialog(oFileDlg)

'check file type and set dialog filter
If oDoc.DocumentType = kPartDocumentObject Then
oFileDlg.Filter = "Autodesk Inventor Part Files (*.ipt)|*.ipt"
Else If oDoc.DocumentType = kAssemblyDocumentObject Then
oFileDlg.Filter = "Autodesk Inventor Assembly Files (*.iam)|*.iam"
End If

'set the directory to open the dialog at
oFileDlg.InitialDirectory = ThisDoc.WorkspacePath()
'set the file name string to use in the input box
oFileDlg.FileName = System.IO.Path.GetFileName(oDoc.FullFileName)

'work with an error created by the user backing out of the save
oFileDlg.CancelError = True
On Error Resume Next
'specify the file dialog as a save dialog (rather than a open dialog)
oFileDlg.ShowSave()

'catch an empty string in the imput
If Err.Number <> 0 Then
MessageBox.Show("No File Saved.", "iLogic: Dialog Canceled")
ElseIf oFileDlg.FileName <> "" Then
MyFile = oFileDlg.FileName
'save the file
oDoc.SaveAs(MyFile, False) 'True = Save As Copy & False = Save As
End If

 

 

Regards,
Graeme
29 REPLIES 29
Message 2 of 30
WCrihfield
in reply to: gcooper79

Would you want to save the other copy of the main assembly and all of its parts to the same directory as the current one, or did you have some other scenario in mind?

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 3 of 30
gcooper79
in reply to: WCrihfield

Hi,

 

I would like to open the master assembly (PS07-01) and save a copy with a new name Whilst directing inventor to the folder location of my choice.

 

once I save the copy (PS07-02), I would like the parts of the copied assembly to have new parts with filenames driven by the assembly. Edit* these parts should be saved in same location as the assembly file 

 

I hope that makes sense.

 

Graeme

Regards,
Graeme
Message 4 of 30
WCrihfield
in reply to: gcooper79

Also, have you cosidered using Design Assistant or the "iLogic Design Copy" tool?

Below are a couple of links to help pages about these two standard tools.

To Copy Designs Containing iLogic Rules 

To Rename, Copy, or Replace Files Using Design Assistant 

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 5 of 30
gcooper79
in reply to: WCrihfield

Hi,

 

I did consider the design assistant but I want to try and make this as simple a task as possible for all my users as we will be copying the master assembly upwards of 15-20 times per contract.
If I can automate the task to copy and replace parts in the assembly by simply saving a copy of the assembly then that would be the desirable outcome.

 

graeme

Regards,
Graeme
Message 6 of 30
WCrihfield
in reply to: gcooper79

I'm heading home for the day, so I thought I would go ahead and post what I've got for you so far.

It still needs some String manipulation near the end to make sure I'm replacing the Occurrence with the right alternate one.  But this should get you pretty close.

Good luck.

 

If ThisApplication.ActiveDocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then
	MsgBox("This rule '" & iLogicVb.RuleName & "' only works for Assembly Documents.",vbOK, "WRONG DOCUMENT TYPE")
	Return
End If

Dim oADoc As AssemblyDocument = ThisApplication.ActiveDocument

Dim oFileDlg As FileDialog = Nothing
ThisApplication.CreateFileDialog(oFileDlg)
oFileDlg.Filter = "Autodesk Inventor Assembly Files (*.iam)|*.iam"
oFileDlg.InitialDirectory = ThisApplication.DesignProjectManager.ActiveDesignProject.WorkspacePath
oFileDlg.FileName = IO.Path.GetFileName(oADoc.FullFileName)
oFileDlg.Title = "Specify New Name & Location For Copied Assembly"
On Error Resume Next
oFileDlg.ShowDialog
If Err.Number <> 0 Then
	MsgBox("No File Saved.", vbOKOnly, "DIALOG CANCELED")
ElseIf oFileDlg.FileName <> "" Then
	oNewFileName = oFileDlg.FileName
	oADoc.SaveAs(oNewFileName, False)
End If

oADoc = Nothing

InventorVb.DocumentUpdate()

oADoc = ThisApplication.ActiveDocument

For Each oRefDoc As Document In oADoc.AllReferencedDocuments
	Dim oEndDigits As String = Right(oRefDoc.FullFileName,2)
	oRefDoc.SaveAs(oADoc.FullFileName & oEndDigits, True)
Next

For Each oOcc As ComponentOccurrence In oADoc.ComponentDefinition.Occurrences
	Dim oOccDoc As Document = oOcc.Definition.Document
	Dim oOccFileName As String = oOccDoc.FullFileName
	Dim oOccPath As String = IO.Path.GetFullPath(oOccFileName)
	Dim oOccNewFileName As String = oOccDoc.FullFileName
	'oOcc.Replace(oOcc.N, True)
Next
	

 

I hope this helps.
If this solves your problem, or answers your questions, please click 'Accept As Solution".
Or, if this helps you reach your goal, please click 'LIKES" 👍.

 

Also, if you're interested, here are a few of the 'Ideas' I'd like to get implemented.
If you agree with any of them, please vote for them.

  • Add more capabilities to the 'Customize' dialog box (exe. Add Tab & Add Panel) Click Here
  • MessageBox, InputBox, and InputListBox Size & Format Options Click Here
  • Constrain & Dimension Images In Assembly Sketches & Drawing Sketches (TitleBlocks & SketchedSymbols) Click Here
  • Save Section View Status In DesignViewRepresentation (So It Can Be Used In The Drawing) Click Here
  • Add SolidBodies Folder In iLogic Rule Editor Model Tab Click Here
  • Convert All Views To Raster Before Autosave Stores To 'OldVersions' Folder Click Here
  • SetDesignViewRepresentation - Fix limitations for DrawingView of a Part Click Here
  • Create DocumentSubTypeEnum Click Here

Inventor 2020 Help | Inventor Forum | Inventor Customization Forum | Inventor Ideas Forum

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 7 of 30
gcooper79
in reply to: WCrihfield

Hi,

 

Thanks for taking the time to write the code.  I pasted it into my assembly but when I run the rule I get the error "Public member 'Title' on type 'FileDialog' not found."

 

I tried to comment out the line

oFileDlg.Title = "Specify New Name & Location For Copied Assembly"

 but then I get the Dialog Cancelled, no file saved.

 

Graeme

 

 

Regards,
Graeme
Message 8 of 30
WCrihfield
in reply to: gcooper79

Hi @gcooper79 .

It really wasn't finished yet, yesterday, but I did make a mistake when I defined FileDlg As 'FileDialog', instead of 'Inventor.FileDialog'.  A regular FileDialog is a member of System.Windows.Forms, and not the same as the one we want here (very tricky).

Try this version of the code, and let me know if it works for you.

 

If ThisApplication.ActiveDocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then
	MsgBox("This rule '" & iLogicVb.RuleName & "' only works for Assembly Documents.",vbOK, "WRONG DOCUMENT TYPE")
	Return
End If

Dim oADoc As AssemblyDocument = ThisApplication.ActiveDocument

Dim oFileDlg As Inventor.FileDialog = Nothing
ThisApplication.CreateFileDialog(oFileDlg)
oFileDlg.Filter = "Autodesk Inventor Assembly Files (*.iam)|*.iam"
oFileDlg.InitialDirectory = ThisApplication.DesignProjectManager.ActiveDesignProject.WorkspacePath
oFileDlg.FileName = IO.Path.GetFileName(oADoc.FullFileName).TrimEnd("."c,"i"c,"a"c,"m"c)
oFileDlg.DialogTitle = "Specify New Name & Location For Copied Assembly"
oFileDlg.CancelError = True

On Error Resume Next
oFileDlg.ShowSave
If Err.Number <> 0 Then
	MsgBox("No File Saved.", vbOKOnly, "DIALOG CANCELED")
ElseIf oFileDlg.FileName <> "" Then
	oNewFileName = oFileDlg.FileName
	oADoc.SaveAs(oNewFileName, False)
End If

oADoc = Nothing

InventorVb.DocumentUpdate()

oADoc = ThisApplication.ActiveDocument

Dim oLast3Chars As String
For Each oRefDoc As Document In oADoc.AllReferencedDocuments
	oLast3Chars = Left(Right(oRefDoc.FullFileName,7),3)
	oRefDoc.SaveAs(oADoc.FullFileName & oLast3Chars, True)
Next

Dim oOccDoc As Document
Dim oOccNewFileName As String
For Each oOcc As ComponentOccurrence In oADoc.ComponentDefinition.Occurrences
	oOccDoc = oOcc.Definition.Document
	oLast3Chars = Left(Right(oOccDoc.FullFileName,7),3)
	oOccNewFileName = Left(oADoc.FullFileName,Len(oADoc.FullFileName)-4) & oLast3Chars
	oOcc.Replace(oOccNewFileName, True)
Next
	

 

I hope this helps.
If this solves your problem, or answers your questions, please click 'Accept As Solution".
Or, if this helps you reach your goal, please click 'LIKES" 👍.

 

Also, if you're interested, here are a few of the 'Ideas' I'd like to get implemented.
If you agree with any of them, please vote for them.

  • Add more capabilities to the 'Customize' dialog box (exe. Add Tab & Add Panel) Click Here
  • MessageBox, InputBox, and InputListBox Size & Format Options Click Here
  • Constrain & Dimension Images In Assembly Sketches & Drawing Sketches (TitleBlocks & SketchedSymbols) Click Here
  • Save Section View Status In DesignViewRepresentation (So It Can Be Used In The Drawing) Click Here
  • Add SolidBodies Folder In iLogic Rule Editor Model Tab Click Here
  • Convert All Views To Raster Before Autosave Stores To 'OldVersions' Folder Click Here
  • SetDesignViewRepresentation - Fix limitations for DrawingView of a Part Click Here
  • Create DocumentSubTypeEnum Click Here

Inventor 2020 Help | Inventor Forum | Inventor Customization Forum | Inventor Ideas Forum

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 9 of 30
gcooper79
in reply to: WCrihfield

Hi @WCrihfield        

 

Thanks for the updated code, I pasted and ran the rule.   The dialog box now appears and I can save the assembly, however, no new instances of the parts are created. 

 

I have attached the assembly for your information in case there's some information that I may have omitted that is causing this issue. 

 

Graeme               

Regards,
Graeme
Message 10 of 30
WCrihfield
in reply to: gcooper79

We probably just need to Open each RefDoc (invisibly in the background), before saving it off, then Close it.

We can try that to see if it works.

I added a line just under the AllReferencedDocuments Loop that opens each one in the background.

And another line at the end of it which closes each one.

If ThisApplication.ActiveDocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then
	MsgBox("This rule '" & iLogicVb.RuleName & "' only works for Assembly Documents.",vbOK, "WRONG DOCUMENT TYPE")
	Return
End If

Dim oADoc As AssemblyDocument = ThisApplication.ActiveDocument

Dim oFileDlg As Inventor.FileDialog = Nothing
ThisApplication.CreateFileDialog(oFileDlg)
oFileDlg.Filter = "Autodesk Inventor Assembly Files (*.iam)|*.iam"
oFileDlg.InitialDirectory = ThisApplication.DesignProjectManager.ActiveDesignProject.WorkspacePath
oFileDlg.FileName = IO.Path.GetFileName(oADoc.FullFileName).TrimEnd("."c,"i"c,"a"c,"m"c)
oFileDlg.DialogTitle = "Specify New Name & Location For Copied Assembly"
oFileDlg.CancelError = True

On Error Resume Next
oFileDlg.ShowSave
If Err.Number <> 0 Then
	MsgBox("No File Saved.", vbOKOnly, "DIALOG CANCELED")
ElseIf oFileDlg.FileName <> "" Then
	oNewFileName = oFileDlg.FileName
	oADoc.SaveAs(oNewFileName, False)
End If

oADoc = Nothing

InventorVb.DocumentUpdate()

oADoc = ThisApplication.ActiveDocument

Dim oLast3Chars As String
For Each oRefDoc As Document In oADoc.AllReferencedDocuments
	ThisApplication.Documents.Open(oRefDoc.FullFileName,False)
	oLast3Chars = Left(Right(oRefDoc.FullFileName,7),3)
	oRefDoc.SaveAs(oADoc.FullFileName & oLast3Chars, True)
	oRefDoc.Close
Next

Dim oOccDoc As Document
Dim oOccNewFileName As String
For Each oOcc As ComponentOccurrence In oADoc.ComponentDefinition.Occurrences
	oOccDoc = oOcc.Definition.Document
	oLast3Chars = Left(Right(oOccDoc.FullFileName,7),3)
	oOccNewFileName = Left(oADoc.FullFileName,Len(oADoc.FullFileName)-4) & oLast3Chars
	oOcc.Replace(oOccNewFileName, True)
Next
	

 

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 11 of 30
WCrihfield
in reply to: gcooper79

After the last update i opened your files (had to delete a few linked references it couldn't find), but saw that the code still needed another tweak to get it working right.  So I added document type check in there, then included the string for the file extension, which was still missing before.  I got this version to work on my PC.

 

If ThisApplication.ActiveDocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then
	MsgBox("This rule '" & iLogicVb.RuleName & "' only works for Assembly Documents.",vbOK, "WRONG DOCUMENT TYPE")
	Return
End If

Dim oADoc As AssemblyDocument = ThisApplication.ActiveDocument

Dim oFileDlg As Inventor.FileDialog = Nothing
ThisApplication.CreateFileDialog(oFileDlg)
oFileDlg.Filter = "Autodesk Inventor Assembly Files (*.iam)|*.iam"
oFileDlg.InitialDirectory = ThisApplication.DesignProjectManager.ActiveDesignProject.WorkspacePath
oFileDlg.FileName = IO.Path.GetFileName(oADoc.FullFileName).TrimEnd("."c,"i"c,"a"c,"m"c)
oFileDlg.DialogTitle = "Specify New Name & Location For Copied Assembly"
oFileDlg.CancelError = True

On Error Resume Next
oFileDlg.ShowSave
If Err.Number <> 0 Then
	MsgBox("No File Saved.", vbOKOnly, "DIALOG CANCELED")
ElseIf oFileDlg.FileName <> "" Then
	oNewFileName = oFileDlg.FileName
	oADoc.SaveAs(oNewFileName, False)
End If

oADoc = Nothing

InventorVb.DocumentUpdate()

oADoc = ThisApplication.ActiveDocument

Dim oLast3Chars As String
For Each oRefDoc As Document In oADoc.AllReferencedDocuments
	ThisApplication.Documents.Open(oRefDoc.FullFileName,False)
	oLast3Chars = Left(Right(oRefDoc.FullFileName, 7), 3)
	If oRefDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Then
		oRefDoc.SaveAs(Left(oADoc.FullFileName, Len(oADoc.FullFileName) -4) & oLast3Chars & ".ipt", True)
	ElseIf oRefDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject Then
		oRefDoc.SaveAs(Left(oADoc.FullFileName, Len(oADoc.FullFileName) -4) & oLast3Chars & ".iam", True)
	End If
	oRefDoc.Close
Next

Dim oOccDoc As Document
Dim oOccNewFileName As String
For Each oOcc As ComponentOccurrence In oADoc.ComponentDefinition.Occurrences
	oOccDoc = oOcc.Definition.Document
	oLast3Chars = Left(Right(oOccDoc.FullFileName, 7), 3)
	If oOccDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Then
		oOccNewFileName = Left(oADoc.FullFileName,Len(oADoc.FullFileName)-4) & oLast3Chars & ".ipt"
	ElseIf oOccDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject Then
		oOccNewFileName = Left(oADoc.FullFileName,Len(oADoc.FullFileName)-4) & oLast3Chars & ".iam"
	End If
	oOcc.Replace(oOccNewFileName, True)
Next
	

 

 

 

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 12 of 30
gcooper79
in reply to: WCrihfield

@WCrihfield 

Definitely getting closer.  When I run the rule now I get copies of the part files but they are not replacing the originals in the new assembly.

                                         

Before.jpg After.jpgNew Parts.jpg

 

 

Regards,
Graeme
Message 13 of 30
WCrihfield
in reply to: gcooper79

I edited & updated my last post maybe 10-15 minutes after posting it, because I saw that I needed to repeat the DocumentType check & extension string process in the Replace section of the code.  That seemed to fix the Replace section of the code for me.

Did the code you ran have those two updates in it, when you tried it.

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 14 of 30
gcooper79
in reply to: WCrihfield

Hi @WCrihfield 

 

That worked.  I can now save a copy of the file and the parts update accordingly.

 

Thank you for your help with this.

 

Graeme

Regards,
Graeme
Message 15 of 30
WCrihfield
in reply to: gcooper79

Glad to hear it. Your welcome.

I love this forum.  We get to learn and figure out new stuff every day, while helping other out.

While exploring to figure out problems, you end up finding something new you can use for something else, along the way.

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 16 of 30
gcooper79
in reply to: WCrihfield

Hi @WCrihfield 

 

To build on what you have already created.  How would I alter the code so it only created copies of part files and not content center files? 

Would we have to modify this if statement

If oOccDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Then

 

with something like

If oOccDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject +  oOccDoc.path = thisDoc.path Then

 

Graeme

Regards,
Graeme
Message 17 of 30
WCrihfield
in reply to: gcooper79

Nope. You have to get ite PartComponentDefinition, first. Then you can check "IsContentMember" boolean.

Here's the updated code.  I didn't put in any alternative action to take, if it IS a content member.  I just set it up to not process the item if it IS a content member.

If ThisApplication.ActiveDocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then
	MsgBox("This rule '" & iLogicVb.RuleName & "' only works for Assembly Documents.",vbOK, "WRONG DOCUMENT TYPE")
	Return
End If

Dim oADoc As AssemblyDocument = ThisApplication.ActiveDocument

Dim oFileDlg As Inventor.FileDialog = Nothing
ThisApplication.CreateFileDialog(oFileDlg)
oFileDlg.Filter = "Autodesk Inventor Assembly Files (*.iam)|*.iam"
oFileDlg.InitialDirectory = ThisApplication.DesignProjectManager.ActiveDesignProject.WorkspacePath
oFileDlg.FileName = IO.Path.GetFileName(oADoc.FullFileName).TrimEnd("."c,"i"c,"a"c,"m"c)
oFileDlg.DialogTitle = "Specify New Name & Location For Copied Assembly"
oFileDlg.CancelError = True

On Error Resume Next
oFileDlg.ShowSave
If Err.Number <> 0 Then
	MsgBox("No File Saved.", vbOKOnly, "DIALOG CANCELED")
ElseIf oFileDlg.FileName <> "" Then
	oNewFileName = oFileDlg.FileName
	oADoc.SaveAs(oNewFileName, False)
End If

oADoc = Nothing

InventorVb.DocumentUpdate()

oADoc = ThisApplication.ActiveDocument

Dim oLast3Chars As String
For Each oRefDoc As Document In oADoc.AllReferencedDocuments
	ThisApplication.Documents.Open(oRefDoc.FullFileName,False)
	oLast3Chars = Left(Right(oRefDoc.FullFileName, 7), 3)
	If oRefDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Then
		Dim oRefPDoc As PartDocument = oRefDoc
		Dim oRefPDef As PartComponentDefinition = oRefPDoc.ComponentDefinition
		If oRefPDef.IsContentMember = False Then
			oRefDoc.SaveAs(Left(oADoc.FullFileName, Len(oADoc.FullFileName) -4) & oLast3Chars & ".ipt", True)
		End If
	ElseIf oRefDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject Then
		oRefDoc.SaveAs(Left(oADoc.FullFileName, Len(oADoc.FullFileName) -4) & oLast3Chars & ".iam", True)
	End If
	oRefDoc.Close
Next

Dim oOccDoc As Document
Dim oOccNewFileName As String
For Each oOcc As ComponentOccurrence In oADoc.ComponentDefinition.Occurrences
	oOccDoc = oOcc.Definition.Document
	oLast3Chars = Left(Right(oOccDoc.FullFileName, 7), 3)
	If oOccDoc.DocumentType = DocumentTypeEnum.kPartDocumentObject Then
		Dim oOccPDef As PartComponentDefinition = oOcc.Definition
		If oOccPDef.IsContentMember = False Then
			oOccNewFileName = Left(oADoc.FullFileName, Len(oADoc.FullFileName) -4) & oLast3Chars & ".ipt"
		End If
	ElseIf oOccDoc.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject Then
		oOccNewFileName = Left(oADoc.FullFileName,Len(oADoc.FullFileName)-4) & oLast3Chars & ".iam"
	End If
	oOcc.Replace(oOccNewFileName, True)
Next
	

Wesley Crihfield

EESignature

(Not an Autodesk Employee)

Message 18 of 30
gcooper79
in reply to: WCrihfield

Hi @WCrihfield 

 

I updated the code and whilst the first section works i.e. it doesn't copy and rename the content center parts, the second section of the code replaces all content center parts with the last part copied.

Regards,
Graeme
Message 19 of 30
gcooper79
in reply to: WCrihfield

HI @WCrihfield ,

 

I had a look through your code and noticed there were a couple of differences between the save batch of code and the replace batch of code. 

Dim oRefPDoc As PartDocument = oRefDoc
		Dim oRefPDef As PartComponentDefinition = oRefPDoc.ComponentDefinition

The first line was missing and the second line had definition instead of ComponentDefinition.

Dim oOccPDef As PartComponentDefinition = oOcc.Definition

  It seems to had fixed the problem.

 

Thanks again for your help with this coding.

 

Graeme

Regards,
Graeme
Message 20 of 30
Anonymous
in reply to: gcooper79

Thank you so much for the information provided above. I am trying to achieve the same outcome where I have a master assembly and want to do a save as, and rename the new assembly and have the parts be renamed as well so I can change lengths without affecting the master assembly parts. However, after I pasted the latest rule logic code and clicked save and run, I get a large error message. (in attachment) Any suggestion on resolving the issue would be greatly appreciated!

 

@WCrihfield

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report